normalize {igraph} | R Documentation

## Normalize layout

### Description

Scale coordinates of a layout.

### Usage

    normalize(xmin = -1, xmax = 1, ymin = xmin, ymax = xmax, zmin = xmin,
      zmax = xmax)

### Arguments

`xmin,xmax` | Minimum and maximum for x coordinates.
`ymin,ymax` | Minimum and maximum for y coordinates.
`zmin,zmax` | Minimum and maximum for z coordinates.

### See Also

`merge_coords`, `layout_`.

Other graph layouts: `add_layout_`; `as_bipartite`, `layout.bipartite`, `layout_as_bipartite`; `as_star`, `layout.star`, `layout_as_star`; `as_tree`, `layout_as_tree`; `component_wise`; `in_circle`, `layout_in_circle`; `layout.auto`, `layout_nicely`, `nicely`; `layout.davidson.harel`, `layout_with_dh`, `with_dh`; `layout.gem`, `layout_with_gem`, `with_gem`; `layout.graphopt`, `layout_with_graphopt`, `with_graphopt`; `layout.grid`, `layout.grid.3d`, `layout.grid.3d`, `layout_on_grid`, `on_grid`; `layout.mds`, `layout_with_mds`, `with_mds`; `layout.merge`, `layout_components`, `merge_coords`, `piecewise.layout`, `piecewise.layout`; `layout.norm`, `norm_coords`; `layout.sugiyama`, `layout_with_sugiyama`, `with_sugiyama`; `layout_on_sphere`, `on_sphere`; `layout_randomly`, `randomly`; `layout_with_fr`, `with_fr`; `layout_with_kk`, `with_kk`; `layout_with_lgl`, `with_lgl`; `layout`, `layout_`, `print.igraph_layout_modifier`, `print.igraph_layout_spec`

Other layout modifiers: `component_wise`

### Examples

    layout_(make_ring(10), with_fr(), normalize())

[Package igraph version 1.0.1 Index]